
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Windows Server基础架构云参考架构：硬件之上的设计 / iVAN</title>

    <meta name="description" content="Windows Server基础架构云参考架构：硬件之上的设计 综述 毫无疑问,移动互联网.社交网络.大数据和云计算已经成为IT发展的四个大的趋势.其中云计算又为前三个提供了一个理想的平台.今天不仅互联网公司,很多传统行业的大中型企业也在建设自己的私有云.本文旨在介绍一个基于Windows Server 2012和System Center 2012 SP1构建基础架构云其硬件部分的参考架构. 设计目标 从运维角度,整个架构应该易于扩展,从小到4个机柜至大到整个数据中心可以方便的进行扩展和容量规划. 从用户的角度,整个架构应该可以兼容不同的应用类型,比如对计">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Windows Server基础架构云参考架构：硬件之上的设计</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h2>综述</h2>
<p>毫无疑问，移动互联网、社交网络、大数据和云计算已经成为IT发展的四个大的趋势。其中云计算又为前三个提供了一个理想的平台。今天不仅互联网公司，很多传统行业的大中型企业也在建设自己的私有云。本文旨在介绍一个基于Windows Server 2012和System Center 2012 SP1构建基础架构云其硬件部分的参考架构。</p>
<h2>设计目标</h2>
<p>从运维角度，整个架构应该易于扩展，从小到4个机柜至大到整个数据中心可以方便的进行扩展和容量规划。</p>
<p>从用户的角度，整个架构应该可以兼容不同的应用类型，比如对计算敏感型，大内存型，和IO密集型等不同类型。</p>
<p>从服务交付的角度，整个架构应该能够满足不同的服务等级需求，如需要高可用的和无需高可用的。</p>
<p>从经济型角度，整个架构应该不依赖特定的硬件厂商或产品。</p>
<h2>Windows Server基础架构云的参考架构</h2>
<p>Windows Server基础架构云的参考架构如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMVE5NDA2M0otMC5wbmc=.jpg"></p>
<p>图1 Windows Server基础架构云的参考架构</p>
<p>本文中我们将集中讨论上面参考架构中的硬件设计部分。</p>
<p>为了实现前面拟定的设计目标，我们采用的模型首先要保证在计算和存储之间实现松耦合，只有这样才能保证我们更灵活地调度计算、存储、网络三种基础资源，组建足够体量的资源池按需承载不同类型的应用。基于相同的目的，我们采用了集中的存储而不是使用更低成本的直连存储。虽然直连存储的成本更低，但我们所采用的存储方案具有更高的可靠性，弹性和灵活性，这些都是企业非常关注的。另外，我们没有采用传统的光纤存储而代以新的完全基于网络的文件共享存储，这样的好处是相对于光纤存储,硬件采购成本较低，而且降低系统复杂度以及维护成本，但这样设计要求网络的部分必须具备足够的可靠性和高性能来满足IO密集型的需求。</p>
<p> </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMVE5NDA0MjI4LTEucG5n.jpg"></p>
<p>图2 Windows Server基础架构云的硬件架构模型</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 05:27:17</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ad%98%e5%82%a8/" title="存储">存储</a>, <a href="https://www.iamivan.net/tag/%e6%9e%b6%e6%9e%84/" title="架构">架构</a>, <a href="https://www.iamivan.net/tag/windows/" title="windows">windows</a>, <a href="https://www.iamivan.net/tag/server/" title="server">server</a>, <a href="https://www.iamivan.net/tag/%e5%8f%82%e8%80%83/" title="参考">参考</a>, <a href="https://www.iamivan.net/tag/%e5%9f%ba%e7%a1%80/" title="基础">基础</a>, <a href="https://www.iamivan.net/tag/%e4%ba%92%e8%81%94%e7%bd%91-%e8%bf%90%e7%bb%b4-%e6%99%ba%e8%83%bd%e4%ba%91/" title="互联网 运维 智能云">互联网 运维 智能云</a>, <a href="https://www.iamivan.net/tag/%e7%94%b5%e5%8a%9b%e7%b3%bb%e7%bb%9f%e7%bb%8f%e6%b5%8e%e8%b0%83%e5%ba%a6/" title="电力系统经济调度">电力系统经济调度</a>, <a href="https://www.iamivan.net/tag/%e5%9f%ba%e7%a1%80%e6%9e%b6%e6%9e%84/" title="基础架构">基础架构</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Windows Server基础架构云参考架构：硬件之上的设计的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvraW6M.html" rel="bookmark">Windows Server 8与云的结合</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				所有用户都将可以使用Windows Server 8来建立自己需要的云服务.来自微软公司的一份白皮书向我们揭示了,应用发布的服务器操作系统,用来构建IaaS平台的细节. 在通过 Windows Azure平台所提供的PaaS云服务和两个SaaS解决方案--Office 365及Dynamics CRM Online--之后,微软又准备提供另一全新的选择,为希望建立自己的私有IaaS云的客户提供基于Windows Server 8的相关解决方案.除了Windows Server之外,这个解决方案还			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmmaQlp.html" rel="bookmark">IBM发布Windows Server 2012测试云平台</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近Windows 8以及Windows Server 2012相继发布,而相应的测试平台也随即推出,根据国外媒体报道,IBM和云服务商CloudShare宣布了他们的合作计划,二者将推出一个云开发平台.用户可以在几分钟内启动相应的应用,来快速测试Windows 8或者Windows Server 2012上的软件. IBM官网介绍 在这个云平台上,可以选择60多种虚拟机的操作系统,例如XP.CentOS.Ubuntu.Windows 7.Windows Server 2003/2008甚至是最			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQL1JZz.html" rel="bookmark">创新从云开始 微软发布Windows Server 2012</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2012年9月18日,微软召开发布会,正式发布了全新的服务器操作系统Windows Server 2012.企业信息化进程的加快以及越来越丰富的终端设备普及,越来越多的软件和应用需要大数据和云计算作为后台支持.用户需要更高效.更高性能的数据解决方案.Windows Server 2012的发布正式针对目前的这种趋势. 云计算和大量以信息化为主的业务正在全球蓬勃发展,而中国在这方面已经走到了世界的最前沿.云计算已经成为十二五规划的六大技术重点之一,云计算的发展,到2015年将为中国新增400万个工			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zD5OYOb.html" rel="bookmark">应用Windows Server 8创建IaaS云</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				小公司和大企业都将可以使用Windows Server 8来建立自己的云服务.微软公司的一份白皮书揭示了应用即将发布的服务器操作系统来构建IaaS平台的细节. 在通过 Windows Azure平台提供PaaS云服务和两个SaaS解决方案--Office 365及Dynamics CRM Online--之后,微软准备提供另一新选择,为希望建立自己的私有IaaS云的客户提供基于Windows Server 8的解决方案.除Windows Server之外,这个解决方案还使用了AppFabric和			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MymWjdM.html" rel="bookmark">企业评估数据中心IT参考架构的因素</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[天极网服务器频道7月15日消息]在虚拟化.云计算.大数据分析和移动互联的驱动下,数据和信息快速成为企业核心业务资源.传统http://www.aliyun.com/zixun/aggregation/14162.html&quot;&gt;IT架构不仅部署和调优耗时长,以应用为核心资源配置和管理效率低下,并且管理复杂,业务稳定性和安全性很难得到保证,更不用谈运维成本高.因此,越来越多的用户考虑对IT架构进行整合,以提高应用部署效率,并简化系统管理. 在数据中心演进过程中,用户会持续运行在物理.虚拟和云计			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV0JDQM.html" rel="bookmark">本月即将上市，微软怪兽Windows Server能否再次颠覆整个行业</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				编者按:数十年前,微软(Microsoft)公司绝对是互联网计算机领域的一头猛兽,不管是开创性的MS-DOS操作系统,还是经典的Windows系统,一经推出迅速占领商用台式计算机市场.早在Novell(诺威尔软件公司)还摸不着头脑时,Windows已经开始默默吸收OS/2系统的基因,摇身一变成为Windows NT系统以及NT服务器系统.纵使Novell强势占据早期PC(个人电脑)网络市场,到20世纪90年代末,Novell已经大不如从前了. 微软近日宣布,新一代的面向服务器的 WindowsS			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7Zgq4p.html" rel="bookmark">Windows Server 2008中运用精准粒度密码策略控制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   在Windows Server 2003或者Windows Server 2000的时候,在一个域中的密码与帐户锁定策略都由默认域安全策略进行控制,域中所有域用户都只能用同一个密码策略,因此,为了企业网络安全起见,在企业中许多IT管理人员都得花心思去说服公司员工遵循密码安全设置的方法,给他们进行培训,为他们介绍密码安全的好处等等,在这上面做了不少工作,但是在许多			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZg6awb.html" rel="bookmark">从Server 2008 R2 域控向Windows Server 2012进阶</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一直想把我的一台联想WQ R520 G7从Windows Server 2008 R2升级到2012,但因为我的是一台域控,所以没敢贸然,不过最近随着server 2012 R2的发布,终于按捺不住,小试了一把. 升级前的准备工作: 我们知道要把一台不同版本的Server加入域或升级,都要为其准备林架构.以下是 Windows Server 2012 R2 准备林架构的步骤: 1.以 Enterprise Admins.Schema Admins 和 Domain Admins 组成员身份登录到			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQjxBWM.html" rel="bookmark">Windows Server 2008 R2 RTM官方英文版及全球语言包下载</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Windows Server 2008 相对出色的性能和模块化的设计,受到了不少 IT Pro 的赞誉,但是它毕竟还是继承了一些 NT 6.0 内核上的不足之处.不过随着不断对内核的优化和 MiniCore 的提出,加以对 Windows HPC Server 的借鉴,R2 版本的 Windows Server 2008 的运算性能和可靠性已经大幅提升了.同时,http://www.aliyun.com/zixun/aggregation/13975.html&quot;&gt;Windows Serve			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNqwob.html" rel="bookmark" class="title">建站三天以来的经验总结</a>
					<div>
						文章有些千篇一律 但确实是我这几天总结出来的经验. 这几天闲着没事,跟风做了个电影网站,在落伍查查了资料就开始下手了. 做完之后,发现搜索引擎迟迟不收录,流量也上不来,非常郁闷 (我的站点电影绝对不卡 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBxRNp.html" rel="bookmark" class="title">坐标距离计算&colon;php 计算 两个坐标之间的距离</a>
					<div>
						&lt;?php  define('EARTH_RADIUS', 6378.137);//地球半径  define('PI', 3.1415926);  /**  * 计算两组经纬度坐标 之间的距离  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9Mxwn7b.html" rel="bookmark" class="title">在ASP&period;NET中实现多文件上传</a>
					<div>
						asp.net|上传 private Boolean SaveFiles() { //得到File表单元素 HttpFileCollection files = HttpContext.Current ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxAxRp.html" rel="bookmark" class="title">迅雷可收费，Gougou增其广告收入</a>
					<div>
						昨天,一迅雷人士向我透露,迅雷在一年后要收购谷歌,并称GOUGOU就是为收购谷歌准备的.据我分析,该迅雷人士是想借我给他们出去表达点什么,当时我就想我一定不会出去表达什么,可现在确实出来表达了点什么. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwVXmp.html" rel="bookmark" class="title">制作自己的分隔线控件（LineH、LineV）</a>
					<div>
						控件 以前用Delphi开发软件的时候,如果需要在界面上放置一个分隔线,其自带的TBevel可以很好地满足这一要求.现在转到了.NET平台,竟找不到对应的控件(毕竟每次在Paint事件中画太麻烦).而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDA5vBb.html" rel="bookmark" class="title">Python中P2P方式实现简单的udp打洞</a>
					<div>
						原来是本人的毕业设计.现在拿出来共享下.先申明,作者是lust,老师如果在网上搜到这段代码可不要说我的毕业设计是网上copy滴哈. 用python做了一个P2P的简单实现,可以通过在服务端注册公网IP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7e31b.html" rel="bookmark" class="title">Flash MX让鼠标指针闪起来</a>
					<div>
						大家在欣赏Flash的时候,常常会在一些动画中发现,把鼠标指针放入画面内就会变成有趣的动画指针,而且形状还会随着你的移动.点击等动作发生变化.其实这种效果并不难实现,今天我们就来看一个这样的例子. 实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze453Ap.html" rel="bookmark" class="title">Ajax 说的比较清楚的一篇文章</a>
					<div>
						ajax一般做两个if判断,判断readyState是否等于4,即响应完毕,status是否等于200.,即一切正常   1.Ajax (Asynchronous JavaScript and XML ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNROZb.html" rel="bookmark" class="title">用PS给图片加高大上的水印</a>
					<div>
						  首先,尽量不要太大,不要让水印喧宾夺主影响了图片本身.水印的位置尽量规整,可以考虑和某些画面元素对齐或者交互. 如果是摄影作品,尤其是风光类的,笔者的习惯是设计一个和被摄地点有关联的小icon,然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3ylxp.html" rel="bookmark" class="title">《谁叫我起床》使用方法详解</a>
					<div>
						虽然一觉睡到自然醒是无数起床困难户的心声,但是&quot;早起&quot;仍旧是更多人必须面对的现实.随着天气越来越冷,让大家&quot;早起&quot;离开温暖的床,简直是一个太需要勇气的决定.作为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwJgxp.html" rel="bookmark" class="title">佣金宝如何开通创业板</a>
					<div>
						  1.打开佣金宝官网:http://www.yongjinbao.com.cn/ ,点击&quot;业务办理&quot;进入相应页面,按照界面提示即时完成创业板投资权限在线转签! 2.在这里登录账号 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwZOjp.html" rel="bookmark" class="title">Linux系统小技巧（1）：&sol;dev&sol;random设备可能导致java程序启动慢或者操作耗时不正常</a>
					<div>
						致因 Linux系统上的设备/dev/random和/dev/urandom是不同的.这点可以使用下面的命令测试出来(执行会耗费几分钟时间,请有心理准备) for dev in /dev/random ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVywBb.html" rel="bookmark" class="title">千亿市场望打开 人脸识别应用扩展获推力</a>
					<div>
						截至目前,公安领域人脸识别结合反恐的案例在北京.深圳.广州等多地已有落地案例,交通方面,C端市场滴滴已经开始使用刷脸,2017年春运返程多个高铁站都有应用.金融领域包括四大行在内的数十家银行在2016 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6eB3M.html" rel="bookmark" class="title">小议移动社交</a>
					<div>
						沉淀了一段时间的移动社交突然间又热闹起来了,先是网易和电信联手推出易信,接着阿里上线&quot;纯&quot;社交来往,新浪突然战略投资微米,就差低调的百度和爱折腾的360没来插一脚了.那么各大互联网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Yr9rM.html" rel="bookmark" class="title">C&plus;&plus; UDP Socket发送速率</a>
					<div>
						问题描述 C++ UDP Socket发送速率 我写了一个UDP发送数据的程序,每个包设置为1024B,如果不控制发送,一直循环sendto,接收端就会丢包,如果一直sendto一次就Sleep(1) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmlvaz.html" rel="bookmark" class="title">QT&plus;sqlite  用query时，在debug时，释放失败，请问为什么？</a>
					<div>
						问题描述 QT+sqlite 用query时,在debug时,释放失败,请问为什么? 我把sqldatabase定义为类的数据成员:然后在某个成员函数中声明一个query. 查询数据时,并没有任何问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAXE2M.html" rel="bookmark" class="title">Android Stadio 导入第三方类库出现错误</a>
					<div>
						问题描述 Android Stadio 导入第三方类库出现错误 这是我在导入第三方类库后,可以在模拟器上运行,但不能在在真机上运行,这是在真机上运行时出现的问题提示,求大神帮忙解决!! 解决方案 如何 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boK3AVb.html" rel="bookmark" class="title">《Ext JS权威指南》&mdash;&mdash;3&period;2节在IE中调试</a>
					<div>
						3.2 在IE中调试 在IE 8之前,在IE中的调试就只有可怜的alert命令了,虽然可以在Visual Studio中进行调试,但太麻烦了.Firebug Lite虽然也发布了支持IE的版本,但是需 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxY6QGp.html" rel="bookmark" class="title">debug-eclipse调试时光标并不指向当前执行的那行，开发半年了，第一次碰到这个问题！</a>
					<div>
						问题描述 eclipse调试时光标并不指向当前执行的那行,开发半年了,第一次碰到这个问题! eclipse调试时光标并不指向当前执行的那行,比如那绿色光标会指向注释行,有时候会不按逻辑跳转到莫名其妙的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7AjXp.html" rel="bookmark" class="title">《Linux From Scratch》第四部分：附录- 附录 D&period;2&period; The MIT License</a>
					<div>
						         Copyright 1999-2015 Gerard Beekmans Permission is hereby granted, free of charge, to any pe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkNylM.html" rel="bookmark" class="title">网站被挂马怎么办&colon;排名恢复方法</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 网站被攻击和挂马是导致网站排名消失的原因之一,也是最常见的原因.近日,服务器老是被攻击导致网站被挂马,网站排名也随之消失.注意不是下降,是直接从首页掉到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRPwAp.html" rel="bookmark" class="title">iOS夯实：内存管理</a>
					<div>
						iOS夯实:内存管理 最近的学习计划是将iOS的机制原理好好重新打磨学习一下,总结和加入自己的思考. 有不正确的地方,多多指正. 目录: 基本信息 旧时代的细节 新时代 基本信息 Objective- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZPynp.html" rel="bookmark" class="title">去年&OpenCurlyDoubleQuote;三农&rdquo;的实际支出要比预算的8183亿元要大不少</a>
					<div>
						中国经济网北京1月30日讯 (记者 佟明彪) 去年为了应对灾害和各种突发事件,我国中央财政对&quot;三农&quot;的实际支出要比预算的8183亿元要大不少.同时,由于财政收入增长,&quot;今 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNOyKM.html" rel="bookmark" class="title">串口接受的十六进制数据如何赋值给int型的变量呢</a>
					<div>
						问题描述 串口接受的十六进制数据如何赋值给int型的变量呢 我定义一个int变量 int h=0:接受的一个串口数据为WPARAM ch,我想把这个ch赋值给h,h=(int)ch:这样为什么不可以呢 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLaEjM.html" rel="bookmark" class="title">java中vector与hashtable操作实例分享&lowbar;java</a>
					<div>
						众所周知,java中vector与hashtable是线程安全的,主要是java对两者的操作都加上了synchronized,也就是上锁了.因此 在vector与hashtable的操作是不会出现问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYgL3b.html" rel="bookmark" class="title">Python实现类继承实例&lowbar;python</a>
					<div>
						Python是一种解释型.面向对象.动态数据类型的高级程序设计语言,本文就举一例Python类继承的实例. 实例代码如下: #! /usr/bin/python # Filename: inherit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV79q4b.html" rel="bookmark" class="title">java协变返回类型使用示例&lowbar;java</a>
					<div>
						Java 5.0添加了对协变返回类型的支持,即子类覆盖(即重写)基类方法时,返回的类型可以是基类方法返回类型的子类.协变返回类型允许返回更为具体的类型.示例程序如下: 复制代码 代码如下: impor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QolqM.html" rel="bookmark" class="title">asp&period;net jquery无刷新分页插件&lpar;jquery&period;pagination&period;js&rpar;&lowbar;实用技巧</a>
					<div>
						采用Jquery无刷新分页插件jquery.pagination.js 实现无刷新分页效果 友情提示:本示例Handler中采用StringBuilder的append方法追加HTML,小数据量可以, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8NdeZb.html" rel="bookmark" class="title">代码短小的js div层拖动实现代码&lbrack;兼容IE与Firefox&rsqb;&lowbar;javascript技巧</a>
					<div>
						[Ctrl+A 全选 注:如需引入外部Js需刷新才能执行]					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOWrJb.html" rel="bookmark" class="title">网络备份服务的现状和发展</a>
					<div>
						  老板说现在是作出一些变化的时候了.他不希望你花太多的时间去手动备份,让你去看看市面上的网络备份服务.你知道这种服务很多,但是关键的问题在于,你在将公司的宝贵数据委托給第三方服务之前,你必须了解它们 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
